VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisimBox.Scene.UnknownNode Class Reference

Unknown node type from importing the scene file, used to store user data so they won't be lost when opened without support for user nodes loaded. More...

Inheritance diagram for VisimBox.Scene.UnknownNode:

List of all members.

## Public Member Functions
| UnknownNode (string originalname)
| UnknownNode (XmlReader reader)
override bool | ReadInternalData (System.Xml.XmlReader reader)
| Reads one item of internal data. Should return true if recognized value (for overloading)
override void | WriteInternalData (System.Xml.XmlWriter writer)
| Write internal data of the node to XML, without subnodes (called from WriteXML)
## Protected Member Functions
override void | CopyData (Node targetNode)
## Protected Attributes
XmlDocument | XMLData = new XmlDocument()
## Properties
string | OriginalName`[get, set]`
XmlDocument | OriginalData`[get]`
override RenderFlags | DefaultRenderFlags`[get]`
| Default render flags for the node (node will be rendered only if flags are correct)
override string | XMLNodeName`[get]`
| XML name.

## Detailed Description

Unknown node type from importing the scene file, used to store user data so they won't be lost when opened without support for user nodes loaded.

## Constructor & Destructor Documentation

VisimBox.Scene.UnknownNode.UnknownNode | ( | string | originalname | ) |

VisimBox.Scene.UnknownNode.UnknownNode | ( | XmlReader | reader | ) |

## Member Function Documentation

override void VisimBox.Scene.UnknownNode.CopyData | ( | Node | targetNode | ) | `[protected, virtual]`

Reimplemented from VisimBox.Scene.Node.

override bool VisimBox.Scene.UnknownNode.ReadInternalData | ( | System.Xml.XmlReader | reader | ) | `[virtual]`

Reads one item of internal data. Should return true if recognized value (for overloading)

Parameters:

  reader | Reader to read from

Returns:
  True if value was handled, false if not

Reimplemented from VisimBox.Scene.Node.

override void VisimBox.Scene.UnknownNode.WriteInternalData | ( | System.Xml.XmlWriter | writer | ) | `[virtual]`

Write internal data of the node to XML, without subnodes (called from WriteXML)

Parameters:

  writer | XML Writer

Reimplemented from VisimBox.Scene.Node.

## Member Data Documentation

XmlDocument VisimBox.Scene.UnknownNode.XMLData = new XmlDocument()`[protected]`

## Property Documentation

override RenderFlags VisimBox.Scene.UnknownNode.DefaultRenderFlags`[get]`

Default render flags for the node (node will be rendered only if flags are correct)

Reimplemented from VisimBox.Scene.Node.

XmlDocument VisimBox.Scene.UnknownNode.OriginalData`[get]`

string VisimBox.Scene.UnknownNode.OriginalName`[get, set]`

override string VisimBox.Scene.UnknownNode.XMLNodeName`[get]`

XML name.

Reimplemented from VisimBox.Scene.Node.

The documentation for this class was generated from the following file:

- UnknownNode.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events